export class EventManager {
    private static disispatcher: Laya.EventDispatcher;
    private static get Disispatcher(): Laya.EventDispatcher {
        return EventManager.disispatcher || (EventManager.disispatcher = new Laya.EventDispatcher());
    }

    public static on(type: string, call: any, data: any): void {
        this.Disispatcher.on(type, call, data);
    }
    public static off(type: string, call: any, data: any): void {
        this.Disispatcher.off(type, call, data);
    }
    public static event(type: string, data: any = null): void {
        this.Disispatcher.event(type, data);
    }
}